Download it now!
Bug 69640 - Writer shows only first 3 pages of .docx file
Summary: Writer shows only first 3 pages of .docx file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: high major
Assignee: Mike Kaganski
URL:
Whiteboard: BSA target:5.2.0 target:5.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 12:45 UTC by heberjeur
Modified: 2016-10-10 12:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
writer (466.68 KB, application/vnd.ms-word.document.12)
2013-09-21 12:45 UTC, heberjeur
Details
in writer (128.92 KB, image/png)
2013-09-21 12:54 UTC, heberjeur
Details
in word (175.21 KB, image/png)
2013-09-21 12:55 UTC, heberjeur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description heberjeur 2013-09-21 12:45:23 UTC
Created attachment 86242 [details]
writer

Problem description: 

i test writer 3.6,4.1, ubuntu 12.04,13.04,xp the same problem

              
Operating System: All
Version: unspecified
Comment 1 heberjeur 2013-09-21 12:54:31 UTC
Created attachment 86243 [details]
in writer
Comment 2 heberjeur 2013-09-21 12:55:26 UTC
Created attachment 86244 [details]
in word
Comment 3 tommy27 2013-09-21 21:27:43 UTC
I confirm bug opening test .docx file in OOo, AOO and LibO.

OOo 3.3.0 --> shows the whole document in 10 pages 

AOO 4.4.0 --> shows the whole document in 13 pages

LibO 3.3.0 - 4.1.1 - 4.2master (Sept.10 build) --> shows only first 3 pages


so it seems an early LibO bug with incomplete visualization of this .docx file.
OOo and AOO show the whole document but render it in a different number of pages (which is also different from that of the original file viewed in Word)

I change summary notes and version field and add Writer expert to CC list.
Comment 4 Björn Michaelsen 2014-01-17 00:43:35 UTC Comment hidden (obsolete)
Comment 5 Joel Madero 2015-05-02 15:44:01 UTC Comment hidden (obsolete)
Comment 6 tommy27 2015-05-03 06:57:51 UTC
LibO 4.4.1.2 still shows only first 3 pages.

document can't be loaded in LibO 5.0.0.0.alpha1+ (x64)
Build ID: 967b8c33225ae2aab5733639f0713a84cb1971da
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-25_04:11:40
Locale: it_IT

an error dialog pops out, here's the message:

File format error found at Unexpected entry name syntax.
SAXParseException: '[word/document.xml line 1]: unknown error', Stream 'word/document.xml', Line 1, Column 20542(row,col).
Comment 7 Timur 2015-11-12 16:27:42 UTC
Fileopen resported as Bug 95777.
Comment 8 Mike Kaganski 2015-11-14 11:30:17 UTC
Posted a patch for both this and bug 95777 to gerrit:
https://gerrit.libreoffice.org/19963
Comment 9 Alain BOURDEAU 2015-11-21 14:43:17 UTC
Good morning, the 21 november 2015
This bus is NOT solved in LO WRITER Version: 4.2.8.2
Build ID: 420m0(Build:2) under UBUNTU 14.04 64bits 8G memory in opening DOCX files > 2.5M.
In the best issue I have only the 3 or 4 first page on about more than 200 pages.
In that case, the graphics are mis placing, (mélangés in french).
Other issues are LO crash with out message.

Thank for your work. Alain
Comment 10 Commit Notification 2016-01-05 06:54:53 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26eb0debda788d996d9bd63d72947652a5066087

tdf#69640: Treat errors opening OLE stream gracefully

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-01-05 09:27:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=933f9da205632de75740cfd71443cbd908a18676&h=libreoffice-5-1

tdf#69640: Treat errors opening OLE stream gracefully

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Alain BOURDEAU 2016-01-06 22:41:03 UTC
Good day
I have install this last version 
Version: 5.0.4.2
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale : fr-FR (fr_FR.UTF-8)

under UBUNTU 14.04 64bits 8G memory.

And the docx document about 480 pages and more than 4,3Mo is open with a long time to was active.

I can explore more than the 20 first pages.

Thank you and have a good year. Alain BOURDEAU
Comment 13 Mike Kaganski 2016-01-07 00:14:55 UTC
(In reply to Alain BOURDEAU from comment #12)

Hi Alain,

please note that this has only been applied to 5.1+, not to 5.0.
The patch fixes specific problem. Please test your data against a recent development build (http://dev-builds.libreoffice.org/), and if your data fails to open with it, please file a separate report with your data attached (don't forget to remove sensitive information).

Thank you.
Comment 14 opensuse.lietuviu.kalba 2016-01-19 08:35:35 UTC
Impossible to open attached https://bugs.documentfoundation.org/attachment.cgi?id=86242 in LibreOffice 5.0.4 in openSUSE 13.2 Linux:

File format error found at Unexpected entry name syntax.
SAXParseException: '[word/document.xml line 1]: unknown error', Stream 'word/document.xml', Line 1, Column 30546(row,col).
Comment 15 Timur 2016-03-28 10:25:11 UTC
Mike, please comment on backportRequest. Thank you.